<?php
	//continuo nao me orgulhando de nada daqui pra baixo
	$dir = $_SERVER['DOCUMENT_ROOT']."/".substr(substr($_SERVER['REQUEST_URI'], 1), 0, strpos(substr($_SERVER['REQUEST_URI'], 1), '/'))."/phone_gap";
	require_once($dir."/classes/Dados.class.php");
	require_once($dir."/classes/Usuario.class.php");
	require_once($dir."/dao/ConfigDAO.class.php");

	define("CODIGO", 0);
	define("DESCRICAO", 1);
	define("QTDEVENDA", 2);
	define("QTDEBONIF", 3);
	define("VALORVENDA", 4);
	define("VALORBONIF", 5);
	define("CODAG", 6);
	define("DESCRICAOAG", 7);

	define("QTDETROCA", 8);
	define("VALORTROCA", 9);

	$dados = new Dados();

	$familia = $_POST['familia'];
	$grupo = $_POST['grupo'];
	$subgrupo = $_POST['subgrupo'];
	$produto = $_POST['produto'];
	$supervisor = $_POST['supervisor'];
	$vendedor = $_POST['vendedor'];
	$cliente = $_POST['cliente'];
	$dataini = $_POST['dataini'];
	$datafin = $_POST['datafin'];
	$apenasComSaldoConsig = $_POST['apenasComSaldoConsig'];
	$mostrarTipoConsig = $_POST['mostrarTipoConsig'];
	$valorSaldoConsig = $_POST['valorSaldoConsig'];
	$codcidade = $_POST['codcidade'];
	$nroregiao = $_POST['nroregiao'];
	$mostrarpor = $_POST['mostrarpor'];
	$agruparpor = $_POST['agruparpor'];
	$ordenarpor = $_POST['ordenarpor'];

	$usuario = $dados->fixObject($_SESSION["usuario"]);
	if ($usuario->getVendedor()->getCodVendedor() != "" ) {
		if($usuario->getVendedor()->getTipo() == 'S')
			$supervisor = $usuario->getVendedor()->getCodVendedor();
		else {
			if ($usuario->getVendedor()->getTipo() != 'E') //se não for gerente
				$vendedor = $usuario->getVendedor()->getCodVendedor();
		}
	}

	$inicio = $_POST["inicio"];
	$qtde = $_POST["qtde"];
	$NotInicio = $inicio > 0;

	if ($NotInicio)
		$inicio--;

	$configdao = new ConfigDAO();
	$pedidos = $configdao->getDisponibilizar()->getMetas_base_pedidos();
	$trocas = $configdao->getDisponibilizar()->getTrocas();
	$exibirData = $configdao->getDisponibilizar()->getData_rel_vendas();	
	$exibirClientePor = $configdao->getDisponibilizar()->getExibir_Cliente_Por();	
	
	$dataini = $dados->DatePickerToDate($dataini);
	$datafin = $dados->DatePickerToDate($datafin);

	$cod = null;
	$join = null;
	$descricao = null;
	switch($mostrarpor){
		case "Supervisor":
			$cod = 'MO.CODVENDEDOR';
			$join = " left join VENDEDORES MO on
						(MO.CODVENDEDOR = VE.CODSUPERVISOR) or
						(MO.CODVENDEDOR = PED.CODVENDEDOR and MO.CODSUPERVISOR is null) ";
			$descricao = "MO.NOME";
			break;

		case "Vendedor":
			$cod = 'MO.CODVENDEDOR';
			$join = " left join VENDEDORES MO on MO.CODVENDEDOR = PED.CODVENDEDOR ";
			$descricao = "MO.NOME";
			break;

		case "Familia":
			$cod = 'MO.CODFAMILIA';
			$join = " left join FAMILIAS MO on MO.CODFAMILIA = PR.CODFAMILIA ";
			$descricao = "MO.DESCRICAO";
			break;

		case "Marca":
			$cod = 'MO.CODMARCA';
			$join = " left join MARCAS MO on MO.CODMARCA = PR.CODMARCA ";
			$descricao = "MO.DESCRICAO";
			break;

		case "Grupo":
			$cod = 'MO.CODGRUPO';
			$join = " left join GRUPOS MO on MO.CODGRUPO = PR.CODGRUPO ";
			$descricao = "MO.DESCRICAO";
			break;

		case "Subgrupo":
			$cod = 'MO.CODSUBGRUPO';
			$join = " left join GRUPOS G on G.CODGRUPO = PR.RCODGRUPO
					  left join SUBGRUPOS MO on MO.CODGRUPO = G.CODGRUPO and MO.CODSUBGRUPO = PR.CODSUBGRUPO ";
			$descricao = "MO.DESCRICAO";
			break;

		case "Produto":
			$cod = 'MO.CODPRODUTO';
			$join = " left join PRODUTOS MO on MO.CODPRODUTO = PR.CODPRODUTO ";
			$descricao = "MO.PRODUTO";
			break;

		case "Cliente":
			$cod = 'MO.CODCLIENTE';
			$join = " left join CLIENTES MO on MO.CODCLIENTE = PED.CODCLIENTE ";
			$descricao = $dados->ifthen($exibirClientePor == "F", " COALESCE(MO.FANTASIA, MO.NOME) " , " MO.NOME");
			break;
			
		case "Cidade":
			$cod = 'MO.CODCIDADE';
			$join = " left join CIDADES MO on MO.CODCIDADE = CI.CODCIDADE ";
			$descricao = "MO.CIDADE";
			break;	
	}

	$codAG = null;
	$joinAG = null;
	$descricaoAG = null;
	if($agruparpor){
		switch($agruparpor){
			case "Supervisor":
				$codAG = 'AG.CODVENDEDOR';
				$joinAG = " left join VENDEDORES AG on
							(AG.CODVENDEDOR = VE.CODSUPERVISOR) or
							(AG.CODVENDEDOR = VE.CODVENDEDOR and AG.CODSUPERVISOR is null) ";
				$descricaoAG = "AG.NOME";
				break;

			case "Vendedor":
				$codAG = 'AG.CODVENDEDOR';
				$joinAG = " left join VENDEDORES AG on AG.CODVENDEDOR = VE.CODVENDEDOR ";
				$descricaoAG = "AG.NOME";
				break;

			case "Familia":
				$codAG = 'AG.CODFAMILIA';
				$joinAG = " left join FAMILIAS AG on AG.CODFAMILIA = PR.CODFAMILIA ";
				$descricaoAG = "AG.DESCRICAO";
				break;

			case "Grupo":
				$codAG = 'AG.CODGRUPO';
				$joinAG = " left join GRUPOS AG on AG.CODGRUPO = PR.CODGRUPO ";
				$descricaoAG = "AG.DESCRICAO";
				break;

			case "Produto":
				$codAG = 'AG.CODPRODUTO';
				$joinAG = " left join PRODUTOS AG on AG.CODPRODUTO = PR.CODPRODUTO ";
				$descricaoAG = "AG.PRODUTO";
				break;

			case "Cliente":
				$codAG = 'AG.CODCLIENTE';
				$joinAG = " left join CLIENTES AG on AG.CODCLIENTE = PED.CODCLIENTE ";
				$descricaoAG = $dados->ifthen($exibirClientePor == "F", " COALESCE(AG.FANTASIA, AG.NOME) " , " AG.NOME ");
				break;

			case "Cidade":
				$codAG = 'AG.CODCIDADE';
				$joinAG = " left join CIDADES AG on AG.CODCIDADE = CI.CODCIDADE ";
				$descricaoAG = "AG.CIDADE";
				break;

			case "Data";
				$codAG = "PED.DATA";
				$descricaoAG = "PED.DATA";
				$joinAG = "";
				break;

		}

	}
	
	$filtro =
		$dados->filtroSQL('PR.CODFAMILIA', $familia).
		$dados->filtroSQL('PR.CODGRUPO', $grupo).
		$dados->filtroSQL('PR.CODSUBGRUPO', $subgrupo).
		$dados->filtroSQL('PR.CODPRODUTO', $produto).
		$dados->filtroSQL('VE.CODVENDEDOR', $vendedor).
		$dados->filtroSQL('PED.CODCLIENTE', $cliente).
		$dados->ifthen($supervisor, " and (VE.CODSUPERVISOR = ".$supervisor." or VE.CODVENDEDOR = ".$supervisor.")").
		$dados->filtroDataSQL('PED.DATA', $dataini, $datafin).
		$dados->ifthen($codcidade, " and CI.CODCIDADE = ".$codcidade." ", "").
		$dados->ifthen($nroregiao, " and CIR.NROREGIAO = ".$nroregiao." ", "");
		
	//echo $filtro; die;	

	function sqlTotal($agrup = "") {
		global $filtro, $join, $joinAG, $dados, $agruparpor, $codAG, $descricaoAG, $cod, $descricao, $dataini, $datafin, $mostrarTipoConsig, $valorSaldoConsig, $apenasComSaldoConsig;

		return " select SALDO_ATUAL, ".
			  "sum(coalesce(SALDO_ANT,0)) SALDO_ANT, sum(coalesce(SALDO_REMESSA,0)) SALDO_REMESSA, sum(coalesce(SALDO_VENDA,0)) ".
			  "SALDO_VENDA, sum(coalesce(SALDO_RETORNO,0)) SALDO_RETORNO,  ".
			  "sum(coalesce(SALDO_FINAL,0)) SALDO_FINAL, coalesce(SALDO_ATUAL,0) * coalesce(VALORUNITARIO,0) VALORSALDO, sum(coalesce(VALTOTAL,0)) VALTOTAL  ".
			  "from (  ".

			  // === CONSIGNADOS === \\
			  "   select  ".
			  $dados->ifthen($agruparpor,
					$codAG." CODAG, ".$descricaoAG." DESCRICAOAG",
					"null CODAG, null DESCRICAOAG"
			  ).
			  ", ".$cod." CODIGO, ".$descricao." DESCRICAO, ".
			  " PP.CODPRODUTO, ".
			  $dados->ifthen($dataini > 0," (S1.QTDE_ENTRADA - S1.QTDE_SAIDA) SALDO_ANT, ", " cast(0 as double precision) SALDO_ANT, ").
			  " S2.SALDO_REMESSA, S2.QTDE_SAIDA - S2.SALDO_RETORNO SALDO_VENDA, S2.SALDO_RETORNO, ".
			  " (S2.QTDE_ENTRADA - S2.QTDE_SAIDA) SALDO_FINAL, CS.SALDO SALDO_ATUAL, ".

			  $dados->ifthen($mostrarTipoConsig == "true",  " case ".
				  "         when PED.TIPO = '5' then 'Remessa' ".
				  "         when PED.TIPO = '6' then 'Venda'  ".
				  "         when PED.TIPO = '7' then 'Retorno'  ".
				  "       end TIPO, ", " null TIPO, ").
				  
			  $dados->ifthen($valorSaldoConsig == "true",
				  " (S3.VALOR_REMESSA - S3.VALOR_VENDAS - S3.VALOR_RETORNO) VALOR_SALDO, ",
				  " cast(null as double precision) VALOR_SALDO, ").
				  " PR.PRECOVENDA VALORUNITARIO,  ".

				"   SUM(PP.QTDE * PP.PRECO) ".
				"   - SUM(PP.QTDE * PP.PRECO * coalesce(PED.PERCDESCONTO,0) / 100) VALTOTAL  ".

			  " from PEDIDOS PED ".
			  "left join CLIENTES CL on PED.CODCLIENTE = CL.CODCLIENTE  ".
			  "left join CIDADES CI on CL.CODCIDADE = CI.CODCIDADE  ".
			  "left join CIDADES_REGIOES R on CI.NROREGIAO = R.NROREGIAO  ".
			  "left join MICRO_REGIOES MR on MR.NROREGIAO = CI.NROREGIAO and MR.NROMICRO = CI.NROMICRO  ".
			  "left join PED_PRODS PP on PED.NROPEDIDO = PP.NROPEDIDO  ".
			  "join CONSIGNADO CS ON CS.CODCLIENTE = PED.CODCLIENTE and CS.CODPRODUTO = PP.CODPRODUTO  ".
			  "left join PRODUTOS PR on PP.CODPRODUTO = PR.CODPRODUTO  ".
			  "left join VENDEDORES VE on VE.CODVENDEDOR = CL.CODVENDEDOR  ".
			  "left join FAMILIAS F on F.CODFAMILIA = PR.CODFAMILIA  ".
				
			//""; echo $sql; die; 
			 
			  $dados->ifthen($dataini > 0,
				   "   left join(/*DATA ANTERIOR*/	  ".
				   "   select P.CODCLIENTE, PP.CODPRODUTO, P.CODVENDEDOR, sum(coalesce(  ".
				   "          case   ".
				   "            when P.TIPO in ('5') then PP.QTDE  ".
				   "          end,0)) QTDE_ENTRADA,  ".
				   "          sum(coalesce(  ".
				   "          case  ".
				   "            when P.TIPO in ('6', '7') then PP.QTDE  ".
				   "          end,0)) QTDE_SAIDA  ".
				   "   from PEDIDOS P  ".
				   "   join PED_PRODS PP on PP.NROPEDIDO = P.NROPEDIDO ".
				   "   where P.SITUACAO <> 4 and   ".
				   "         P.DATA < '" . $dataini  ."'".
				   "   group by 1, 2, 3) S1 on S1.CODCLIENTE = CS.CODCLIENTE and S1.CODPRODUTO = CS.CODPRODUTO  ").
				   
			 "   left join(/*PERIODO FILTRADO*/	 ".
			 "   select PD.CODCLIENTE, PP.CODPRODUTO, PD.CODVENDEDOR, sum(coalesce( ".
			 "          case ".
			 "            when PD.TIPO in ('5') then PP.QTDE ".
			 "          end,0)) QTDE_ENTRADA,  ".
			 "          sum(coalesce( ".
			 "          case ".
			 "            when PD.TIPO in ('6', '7') then PP.QTDE ".
			 "          end,0)) QTDE_SAIDA, ".
			 "          sum(coalesce( ".
			 "          case ".
			 "            when PD.TIPO = '5' then PP.QTDE ".
			 "          end, 0)) SALDO_REMESSA, ".
			 "          sum(coalesce( ".
			 "          case ".
			 "            when PD.TIPO = '7' then PP.QTDE ".
			 "          end,0)) SALDO_RETORNO ".
			 "   from PEDIDOS PD ".
			 "   join PED_PRODS PP on PP.NROPEDIDO = PD.NROPEDIDO ".
			 "   where PD.SITUACAO <> 4 ".
			 
			 $dados->filtroDataSQL('PD.DATA', $dataini, $datafin).
			 "   group by 1, 2, 3) S2 on S2.CODCLIENTE = CS.CODCLIENTE and S2.CODPRODUTO = CS.CODPRODUTO ".
			
			
			 " left join(/*VALOR UNITARIO*/ ".
			 "  select PP.CODPRODUTO, PD.CODCLIENTE, max(PD.NROPEDIDO) NROPEDIDO  ".
			 "  from PEDIDOS PD ".
			 "  join PED_PRODS PP on PP.NROPEDIDO = PD.NROPEDIDO  ".
			 "  where PD.SITUACAO <> 4 and  ".
			 "        PD.TIPO = '5'   ".
			 $dados->filtroDataSQL('PD.DATA', $dataini, $datafin).
			 " group by 1, 2  ".

			 ") S3 on S3.CODCLIENTE = CS.CODCLIENTE and S3.CODPRODUTO = CS.CODPRODUTO ".
			 $join." ".$joinAG.
			 "where 1=1 ".
			 $agrup." ".$filtro.
			 "group by 1,2,3,4,5,6,7,8,9,10,11,12,13,14".
			 ")".
			 $dados->ifthen($apenasComSaldoConsig == "true", " where SALDO_ATUAL > 0 ", "").
			 " group by 1, VALORSALDO ";//,2,3,4,5,6,7";
		//echo $retorno; die;	 
		return $retorno;
	}		
		
	$sql = "select first ".$qtde." skip ".$inicio.
	  "CODAG, DESCRICAOAG, CODIGO, DESCRICAO, ". 
	  "TIPO, AVG(VALORUNITARIO) VALORUNITARIO, SALDO_ATUAL, ".
      "sum(coalesce(SALDO_ANT,0)) SALDO_ANT, sum(coalesce(SALDO_REMESSA,0)) SALDO_REMESSA, sum(coalesce(SALDO_VENDA,0)) ".
	  "SALDO_VENDA, sum(coalesce(SALDO_RETORNO,0)) SALDO_RETORNO,  ".
	  "sum(coalesce(SALDO_FINAL,0)) SALDO_FINAL, sum(coalesce(VALTOTAL,0)) VALTOTAL  ".
      "from (  ".

      // === CONSIGNADOS === \\
      "   select  ".
	  $dados->ifthen($agruparpor,
			$codAG." CODAG, ".$descricaoAG." DESCRICAOAG",
			"null CODAG, null DESCRICAOAG"
	  ).
	  ", ".$cod." CODIGO, ".$descricao." DESCRICAO, ".
      " PP.CODPRODUTO, ".
      $dados->ifthen($dataini > 0," (S1.QTDE_ENTRADA - S1.QTDE_SAIDA) SALDO_ANT, ", " cast(0 as double precision) SALDO_ANT, ").
      " S2.SALDO_REMESSA, S2.QTDE_SAIDA - S2.SALDO_RETORNO SALDO_VENDA, S2.SALDO_RETORNO, ".
      " (S2.QTDE_ENTRADA - S2.QTDE_SAIDA) SALDO_FINAL, CS.SALDO SALDO_ATUAL, ".

      $dados->ifthen($mostrarTipoConsig == "true",  " case ".
          "         when PED.TIPO = '5' then 'Remessa' ".
          "         when PED.TIPO = '6' then 'Venda'  ".
          "         when PED.TIPO = '7' then 'Retorno'  ".
          "       end TIPO, ", " null TIPO, ").
		  
      $dados->ifthen($valorSaldoConsig == "true",
          " (S3.VALOR_REMESSA - S3.VALOR_VENDAS - S3.VALOR_RETORNO) VALOR_SALDO, ",
          " cast(null as double precision) VALOR_SALDO, ").
		  " PR.PRECOVENDA VALORUNITARIO,  ".

        "   SUM(PP.QTDE * PP.PRECO) ".
        "   - SUM(PP.QTDE * PP.PRECO * coalesce(PED.PERCDESCONTO,0) / 100) VALTOTAL  ".

      " from PEDIDOS PED ".
      "left join CLIENTES CL on PED.CODCLIENTE = CL.CODCLIENTE  ".
      "left join CIDADES CI on CL.CODCIDADE = CI.CODCIDADE  ".
      "left join CIDADES_REGIOES R on CI.NROREGIAO = R.NROREGIAO  ".
      "left join MICRO_REGIOES MR on MR.NROREGIAO = CI.NROREGIAO and MR.NROMICRO = CI.NROMICRO  ".
      "left join PED_PRODS PP on PED.NROPEDIDO = PP.NROPEDIDO  ".
      "join CONSIGNADO CS ON CS.CODCLIENTE = PED.CODCLIENTE and CS.CODPRODUTO = PP.CODPRODUTO  ".
      "left join PRODUTOS PR on PP.CODPRODUTO = PR.CODPRODUTO  ".
      "left join VENDEDORES VE on VE.CODVENDEDOR = CL.CODVENDEDOR  ".
      "left join FAMILIAS F on F.CODFAMILIA = PR.CODFAMILIA  ".
		
 
      $dados->ifthen($dataini > 0,
           "   left join(/*DATA ANTERIOR*/	  ".
           "   select P.CODCLIENTE, PP.CODPRODUTO, P.CODVENDEDOR, sum(coalesce(  ".
           "          case   ".
           "            when P.TIPO in ('5') then PP.QTDE  ".
           "          end,0)) QTDE_ENTRADA,  ".
           "          sum(coalesce(  ".
           "          case  ".
           "            when P.TIPO in ('6', '7') then PP.QTDE  ".
           "          end,0)) QTDE_SAIDA  ".
           "   from PEDIDOS P  ".
           "   join PED_PRODS PP on PP.NROPEDIDO = P.NROPEDIDO ".
           "   where P.SITUACAO <> 4 and   ".
           "         P.DATA < '" . $dataini  ."'".
           "   group by 1, 2, 3) S1 on S1.CODCLIENTE = CS.CODCLIENTE and S1.CODPRODUTO = CS.CODPRODUTO  ").
		
     "   left join(/*PERIODO FILTRADO*/ ".
     "   select PD.CODCLIENTE, PP.CODPRODUTO, PD.CODVENDEDOR, sum(coalesce( ".
     "          case ".
     "            when PD.TIPO in ('5') then PP.QTDE ".
     "          end,0)) QTDE_ENTRADA,  ".
     "          sum(coalesce( ".
     "          case ".
     "            when PD.TIPO in ('6', '7') then PP.QTDE ".
     "          end,0)) QTDE_SAIDA, ".
     "          sum(coalesce( ".
     "          case ".
     "            when PD.TIPO = '5' then PP.QTDE ".
     "          end, 0)) SALDO_REMESSA, ".
     "          sum(coalesce( ".
     "          case ".
     "            when PD.TIPO = '7' then PP.QTDE ".
     "          end,0)) SALDO_RETORNO ".
     "   from PEDIDOS PD ".
     "   join PED_PRODS PP on PP.NROPEDIDO = PD.NROPEDIDO ".
     "   where PD.SITUACAO <> 4 ".
	 
	 $dados->filtroDataSQL('PD.DATA', $dataini, $datafin).
     "   group by 1, 2, 3) S2 on S2.CODCLIENTE = CS.CODCLIENTE and S2.CODPRODUTO = CS.CODPRODUTO ".
	
	/*VALOR UNITARIO*/
     " left join( ".
     "  select PP.CODPRODUTO, PD.CODCLIENTE, max(PD.NROPEDIDO) NROPEDIDO  ".
     "  from PEDIDOS PD ".
     "  join PED_PRODS PP on PP.NROPEDIDO = PD.NROPEDIDO  ".
     "  where PD.SITUACAO <> 4 and  ".
     "        PD.TIPO = '5'   ".
     $dados->filtroDataSQL('PD.DATA', $dataini, $datafin).
     " group by 1, 2  ".

     ") S3 on S3.CODCLIENTE = CS.CODCLIENTE and S3.CODPRODUTO = CS.CODPRODUTO ".
	 $join." ".$joinAG.
	 "where 1=1 ".
     $filtro.
	 "group by 1,2,3,4,5,6,7,8,9,10,11,12,13,14".
	 ")".
	 $dados->ifthen($apenasComSaldoConsig == "true", "where SALDO_ATUAL > 0 ", "").
	 " group by 1,2,3,4,5, SALDO_ATUAL ".
	 " order by 1, ".$ordenarpor;	
	 
	//echo $sql; die;
	
	$result = $dados->SelectSQL($sql);

	$qtdeResults = count($result);
	if ($qtdeResults <= 0) {
		return;
	}

	if ($NotInicio) {
		$agrup = $result[0]['CODAG'];
		unset($result[0]);
	} else {
		$agrup = '';
	}

	$res = '';
	foreach($result as $id => $r){
		if($agrup != $r['CODAG']){
			if ($id > 0){
				$sqlTot = sqlTotal(" and ".$codAG." = ".$agrup." ");
				
				$resTot = $dados->SelectSQL($sqlTot);

				$res .= "<tr style='font-weight: bold;'>".
                "  <td></td>".
				"  <td>Total</td>".
				"  <td id='th_tipo'></td>".
				"  <td>".$dados->formatarNumero($resTot[0]['SALDO_ANT'])."</td>".
				"  <td>".$dados->formatarNumero($resTot[0]['SALDO_REMESSA'])."</td>".
				"  <td>".$dados->formatarNumero($resTot[0]['SALDO_VENDA'])."</td>".
				"  <td>".$dados->formatarNumero($resTot[0]['SALDO_RETORNO'])."</td>".
				"  <td>".$dados->formatarNumero($resTot[0]['SALDO_FINAL'])."</td>".
				"  <td>".$dados->formatarNumero($resTot[0]['SALDO_ATUAL'])."</td>".
				"  <td></td>".
				"  <td>".$dados->formatarNumero($resTot[0]['VALORSALDO'])."</td>".
				"  <td>".$dados->formatarNumero($resTot[0]['VALTOTAL'])."</td>".
				"</tr>";
			}

			$res .= "<tr id='agrup".$r['CODAG']."' style='background-color:blue;'>".
				"  <td></td>".
				"  <td><b>".$dados->ifthen($agruparpor == "Data", $dados->DateToText($r['DESCRICAOAG']), $r['DESCRICAOAG'])."</b></td>".
				"  <td id='th_tipo'></td>".
				"  <td></td>".
				"  <td></td>".
				"  <td></td>".
				"  <td></td>".
				"  <td></td>".
				"  <td></td>".
				"  <td></td>".
				"  <td></td>".
				"  <td></td>".
				"</tr>";
			$agrup = $r['CODAG'];
		}
		
		$data = "";
		if($exibirData) {
			$data = date_create($r['DATA']);
		}
		$res .= "<tr>".
					"  <td style='text-align: left;'>".$r['CODIGO']."</td>".
					"  <td style='text-align: left;'>".$r['DESCRICAO']."</td>".
					"  <td id='th_tipo' style='text-align: left;'>".$r['TIPO']."</td>".
					"  <td>".$dados->formatarNumero($r['SALDO_ANT'])."</td>".
					"  <td>".$dados->formatarNumero($r['SALDO_REMESSA'])."</td>".
					"  <td>".$dados->formatarNumero($r['SALDO_VENDA'])."</td>".
					"  <td>".$dados->formatarNumero($r['SALDO_RETORNO'])."</td>".
					"  <td>".$dados->formatarNumero($r['SALDO_FINAL'])."</td>".
					"  <td>".$dados->formatarNumero($r['SALDO_ATUAL'])."</td>".
					"  <td>".$dados->formatarNumero($r['VALORUNITARIO'])."</td>".
					"  <td>".$dados->formatarNumero($r['SALDO_ATUAL'] * $r['VALORUNITARIO'])."</td>".
					"  <td>".$dados->formatarNumero($r['VALTOTAL'])."</td>".
				"</tr>";

	}

	if ($qtdeResults < $qtde) {
		if ($agrup != '') {
			$sqlTot = sqlTotal(" and ".$codAG." = ".$agrup." ");
				
			$resTot = $dados->SelectSQL($sqlTot);
	
			$res .= "<tr style='font-weight: bold;'>".
						"  <td></td>".
						"  <td>Total</td>".
						"  <td id='th_tipo'></td>".
						"  <td>".$dados->formatarNumero($resTot[0]['SALDO_ANT'])."</td>".
						"  <td>".$dados->formatarNumero($resTot[0]['SALDO_REMESSA'])."</td>".
						"  <td>".$dados->formatarNumero($resTot[0]['SALDO_VENDA'])."</td>".
						"  <td>".$dados->formatarNumero($resTot[0]['SALDO_RETORNO'])."</td>".
						"  <td>".$dados->formatarNumero($resTot[0]['SALDO_FINAL'])."</td>".
						"  <td>".$dados->formatarNumero($resTot[0]['SALDO_ATUAL'])."</td>".
						"  <td></td>".
						"  <td>".$dados->formatarNumero($resTot[0]['VALORSALDO'])."</td>".
						"  <td>".$dados->formatarNumero($resTot[0]['VALTOTAL'])."</td>".
					"</tr>".
					"<tr>".
					"  <td></td>".
					"</tr>";

		}
		
		$sqlTot = sqlTotal();
		//echo $sqlTot; die;

		$resTot = $dados->SelectSQL($sqlTot);

		$res .= "<tr style='background-color: green;font-weight: bold;'>".
				"  <td></td>".
				"  <td>Total</td>".
				"  <td id='th_tipo'></td>".
				"  <td>".$dados->formatarNumero($resTot[0]['SALDO_ANT'])."</td>".
				"  <td>".$dados->formatarNumero($resTot[0]['SALDO_REMESSA'])."</td>".
				"  <td>".$dados->formatarNumero($resTot[0]['SALDO_VENDA'])."</td>".
				"  <td>".$dados->formatarNumero($resTot[0]['SALDO_RETORNO'])."</td>".
				"  <td>".$dados->formatarNumero($resTot[0]['SALDO_FINAL'])."</td>".
				"  <td>".$dados->formatarNumero($resTot[0]['SALDO_ATUAL'])."</td>".
				"  <td></td>".
				"  <td>".$dados->formatarNumero($resTot[0]['VALORSALDO'])."</td>".
				"  <td>".$dados->formatarNumero($resTot[0]['VALTOTAL'])."</td>".
			"</tr>".
			"<tr>".
			"  <td></td>".
			"</tr>";
	}

	echo $res;

?>
